package com.example.test2;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.ArrayAdapter;
import android.widget.ListView;

public class TestActivity extends Activity implements
        Animation.AnimationListener {

    private ListView mListView;

    private Animation mDialpadOutAnim;
    private Animation mDialpadInAnim;
    private View mDialpad;
    private View mTwelveKey;
    private boolean mClosed;

    private String[] list;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_test);
        mDialpad = findViewById(R.id.dialpad_container);
        mListView = (ListView) findViewById(android.R.id.list);
        initListView();
    }

    private void initListView() {
        int i = 0;
        list = new String[10];
        StringBuilder sb = new StringBuilder("Test");
        do {
            list[i] = (sb.append(i + "").toString());
            i++;
        } while (i < 10);
        ArrayAdapter<String> adapter = new ArrayAdapter<String>(this,
                android.R.layout.simple_list_item_1, list);
        mListView.setAdapter(adapter);
    }

    public void onClick(View v) {
        if (mClosed) {
            maximizeDialpad();
            // mListView.setVisibility(View.GONE);
        } else {
            minimizeDialpad();
        }
    }

    private void minimizeDialpad() {
        mTwelveKey = findViewById(R.id.twelve_key_dialer_layout);
        mDialpadOutAnim = AnimationUtils
                .loadAnimation(this, R.anim.dialpad_out);
        mDialpadOutAnim.setAnimationListener(this);
        mTwelveKey.startAnimation(this.mDialpadOutAnim);
        mClosed = true;
    }

    private void maximizeDialpad() {
        mTwelveKey = findViewById(R.id.twelve_key_dialer_layout);
        mDialpadInAnim = AnimationUtils.loadAnimation(this, R.anim.dialpad_in);
        mDialpadInAnim.setAnimationListener(this);
        mTwelveKey.startAnimation(this.mDialpadInAnim);
        mDialpad.setVisibility(View.VISIBLE);
        mClosed = false;
    }

    @Override
    public void onAnimationStart(Animation animation) {

    }

    @Override
    public void onAnimationEnd(Animation animation) {
        if (mClosed) {
            mDialpad.setVisibility(View.GONE);
        }
    }

    @Override
    public void onAnimationRepeat(Animation animation) {

    }
}
